<?php

if ( ! defined('ABSPATH') ) {
	exit;
}

/**
 * Autoload classes.
 *
 */
spl_autoload_register( function( $classname ) {
	$parts = explode( '\\', $classname );

	if ( $parts[0] !== 'KnowherePro' ) {
		return false;
	}

	if ( $parts[1] === 'Src' ) {
		$parts[1] = 'Includes' . DIRECTORY_SEPARATOR . 'Src';
	}

	if ( $parts[1] === 'Ext' ) {
		$parts[1] = 'Includes' . DIRECTORY_SEPARATOR . 'Extensions';
	}

	$path_parts = array_map( function( $part) {
		return strtolower( str_replace( '_', '-', $part ) );
	}, $parts );

	unset( $path_parts[0] );

	$path = join( DIRECTORY_SEPARATOR, $path_parts ) . '.php';

	if ( locate_template( 'config-job-manager/' . $path ) ) {
		require_once locate_template( 'config-job-manager/' . $path );
	}

} );

KnowherePro\Ext\Maps\Maps::instance();