<?php
namespace KnowherePro\Ext\Maps;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Maps {

	use \KnowherePro\Src\Traits\Instantiatable;

	public
		$platform;

	private $platforms = [
		'google-maps' => 'Google_Maps',
		'mapbox' => 'Mapbox'
	];

	public function __construct() {
		// Setup ACF settings page.

		// Initialize Maps.
		add_action( 'init', [ $this, 'initialize' ], 30 );
	}

	public function initialize() {

		global $knowhere_settings;

		$platform = $knowhere_settings['map-provider'];

		if ( ! in_array( $platform, array_keys( $this->platforms ) ) ) {
			return false;
		}

		$maps = sprintf( '\KnowherePro\Ext\Maps\Platforms\%s\%s::instance', $this->platforms[ $platform ], $this->platforms[ $platform ] );

		$this->platform = call_user_func( $maps );

	}

}