<?php

namespace KnowherePro\Ext\Maps\Platforms\Google_Maps;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Google_Maps {

	use \KnowherePro\Src\Traits\Instantiatable;

	public $api_key;

	public function __construct() {
		$this->api_key = knowhere_get_google_maps_api_key();

		add_action( 'wp_enqueue_scripts', [ $this, 'enqueue_scripts' ], 25 );
	}

	public function enqueue_scripts() {
		// Google Maps config.
		$args = [];
		$args['key'] = $this->api_key;
		$args['libraries'] = 'places';
//		$args['v'] = 3;

		// Load Google Maps.
		wp_enqueue_script( 'google-maps', add_query_arg( $args, 'https://maps.googleapis.com/maps/api/js' ), [], null, true );

		// Load MyListing Maps assets.
		wp_enqueue_script( 'knowhere-maps', get_theme_file_uri('config-job-manager/assets/dist/maps/google-maps/google-maps.js'), ['jquery'], null, true );
		wp_enqueue_style( 'knowhere-maps', get_theme_file_uri('config-job-manager/assets/dist/maps/google-maps/google-maps.css'), [], null );
	}

}