<?php
/**
 * The template for displaying product content in the listing's sidebar
 *
 *
 * @package 	Knowhere
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$product_type_class = "product-type_" . strtolower( WC_Product_Factory::get_product_type(get_the_ID()) );

?>

<?php
/**
 * woocommerce_before_single_product hook
 *
 * @hooked wc_print_notices - 10
 */
do_action( 'woocommerce_before_single_product' );
?>

<div class="product woocommerce add_to_cart_inline <?php echo esc_attr($product_type_class); ?>" id="product-<?php the_ID(); ?>">
	<?php
		wc_get_template( 'single-product/title.php' );
		wc_get_template( 'single-product/price.php' );
		wc_get_template( 'single-product/short-description.php' );
		woocommerce_template_single_add_to_cart();
	?>
</div>